Index: /extensions/Icons_Set/icons/grum-dark-II/icon.css
===================================================================
--- /extensions/Icons_Set/icons/grum-dark-II/icon.css	(revision 14167)
+++ /extensions/Icons_Set/icons/grum-dark-II/icon.css	(revision 14167)
@@ -0,0 +1,22 @@
+@import '../../../../themes/default/iconset.css';
+
+
+
+@import '../../iconset_disabled.css';
+.pwg-icon {
+	background-image: url(icons_sprite.png);
+}
+
+A:hover .pwg-icon {
+	background-image: url(icons_sprite_hover.png);
+}
+#derivativeSwitchLink .pwg-icon {
+  background-image: url(../tango_vert/sprite.png);
+  width: 48px !important;
+  height: 24px;
+}
+#sortOrderLink .pwg-icon {
+  background-image: url(../tango_vert/sprite.png);
+}
+.pwg-icon-sizes{ background-position: 0 -1496px; width: 48px; height: 24px; } 
+.pwg-icon-sort{ background-position: 0 -1603px; width: 24px; height: 24px; } 
Index: /extensions/Icons_Set/icons/grum-dark-II/icon_admin.css
===================================================================
--- /extensions/Icons_Set/icons/grum-dark-II/icon_admin.css	(revision 14167)
+++ /extensions/Icons_Set/icons/grum-dark-II/icon_admin.css	(revision 14167)
@@ -0,0 +1,8 @@
+
+#iconBox_grum_dark_II .pwg-icon {
+	background-image: url(icons_sprite.png);
+}
+
+#iconBox_grum_dark_II a:hover .pwg-icon {
+	background-image: url(icons_sprite_hover.png);
+}
Index: /extensions/Icons_Set/icons/grum-dark-II/iconset.conf.php
===================================================================
--- /extensions/Icons_Set/icons/grum-dark-II/iconset.conf.php	(revision 14167)
+++ /extensions/Icons_Set/icons/grum-dark-II/iconset.conf.php	(revision 14167)
@@ -0,0 +1,10 @@
+<?php
+$iconsetconf = array(
+  'name' => 'grum dark II',
+  'id' => 'grum_dark_II',
+  'icon_file' => ICONSET_PATH.'icons/grum-dark-II/icons_sprite.png',
+  'css_file' => ICONSET_PATH.'icons/grum-dark-II/icon.css',
+  'css_file_admin' => ICONSET_PATH.'icons/grum-dark-II/icon_admin.css',
+);
+
+?>
Index: /extensions/Icons_Set/icons/kardon/icon.css
===================================================================
--- /extensions/Icons_Set/icons/kardon/icon.css	(revision 14166)
+++ /extensions/Icons_Set/icons/kardon/icon.css	(revision 14167)
@@ -11,3 +11,12 @@
 	background-image: url(icons_sprite_hover.png);
 }
-
+#derivativeSwitchLink .pwg-icon {
+  background-image: url(../tango_vert/sprite.png);
+  width: 48px !important;
+  height: 24px;
+}
+#sortOrderLink .pwg-icon {
+  background-image: url(../tango_vert/sprite.png);
+}
+.pwg-icon-sizes{ background-position: 0 -1496px; width: 48px; height: 24px; } 
+.pwg-icon-sort{ background-position: 0 -1603px; width: 24px; height: 24px; } 
Index: /extensions/Icons_Set/icons/old_sylvia/icon.css
===================================================================
--- /extensions/Icons_Set/icons/old_sylvia/icon.css	(revision 14166)
+++ /extensions/Icons_Set/icons/old_sylvia/icon.css	(revision 14167)
@@ -11,3 +11,10 @@
 	background-image: url(showimage.png);
 }
-
+#derivativeSwitchLink .pwg-icon {
+  background-image: url(../sylvia/outline_ff3363.png);
+}
+#sortOrderLink .pwg-icon {
+  background-image: url(../sylvia/outline_ff3363.png);
+}
+.pwg-icon-sort {background-position: -52px -52px}
+.pwg-icon-sizes {background-position: -78px -52px}
Index: /extensions/Icons_Set/icons/sakurabw/icon.css
===================================================================
--- /extensions/Icons_Set/icons/sakurabw/icon.css	(revision 14166)
+++ /extensions/Icons_Set/icons/sakurabw/icon.css	(revision 14167)
@@ -11,3 +11,12 @@
 	background-image: url(icons_sprite_hover.png);
 }
-
+#derivativeSwitchLink .pwg-icon {
+  background-image: url(../tango_vert/sprite.png);
+  width: 48px !important;
+  height: 24px;
+}
+#sortOrderLink .pwg-icon {
+  background-image: url(../tango_vert/sprite.png);
+}
+.pwg-icon-sizes{ background-position: 0 -1496px; width: 48px; height: 24px; } 
+.pwg-icon-sort{ background-position: 0 -1603px; width: 24px; height: 24px; } 
Index: /extensions/Icons_Set/icons/tango_bleu/icon_admin.css
===================================================================
--- /extensions/Icons_Set/icons/tango_bleu/icon_admin.css	(revision 14166)
+++ /extensions/Icons_Set/icons/tango_bleu/icon_admin.css	(revision 14167)
@@ -1,54 +1,54 @@
-#iconBox_tango_vert .pwg-icon {
+#iconBox_tango_bleu .pwg-icon {
 	background-image: url(sprite.png);
 }
-#iconBox_tango_vert A.pwg-button {
+#iconBox_tango_bleu A.pwg-button {
 	border:none;
 }
-#iconBox_tango_vert .pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -144px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-apropos{ background-position: 0 0; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-arrow-e{ background-position: 0 -37px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -74px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-arrow-n{ background-position: 0 -111px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-arrow-w{ background-position: 0 -148px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-state-disabled .pwg-icon-arrow-w{ background-position: 0 -185px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-arrowstop-e{ background-position: 0 -222px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: 0 -259px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-arrowstop-w{ background-position: 0 -296px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: 0 -333px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-caddie-add{ background-position: 0 -370px; width: 24px; height: 24px; } 
-#iconBox_tango_vert .pwg-icon-calendar{ background-position: 0 -409px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-camera-calendar{ background-position: 0 -446px; width: 24px; height: 24px; } 
-#iconBox_tango_vert .pwg-icon-camera-info{ background-position: 0 -485px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-category-edit{ background-position: 0 -522px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-category-view-flat{ background-position: 0 -559px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-category-view-normal{ background-position: 0 -596px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-chat{ background-position: 0 -633px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-clock-minus{ background-position: 0 -670px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-clock-plus{ background-position: 0 -707px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-close{ background-position: 0 -744px; width: 24px; height: 24px; } 
-#iconBox_tango_vert .pwg-icon-cloud{ background-position: 0 -783px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-edit{ background-position: 0 -820px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-favorite-add{ background-position: 0 -857px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-favorite-del{ background-position: 0 -894px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-filter-del{ background-position: 0 -931px; width: 24px; height: 24px; } 
-#iconBox_tango_vert .pwg-icon-filter{ background-position: 0 -970px; width: 24px; height: 24px; } 
-#iconBox_tango_vert .pwg-icon-help{ background-position: 0 -1009px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-home{ background-position: 0 -1046px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-letters{ background-position: 0 -1083px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-lost-password{ background-position: 0 -1120px; width: 24px; height: 24px; } 
-#iconBox_tango_vert .pwg-icon-pause{ background-position: 0 -1159px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-play{ background-position: 0 -1196px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-register{ background-position: 0 -1233px; width: 24px; height: 24px; } 
-#iconBox_tango_vert .pwg-icon-repeat-play{ background-position: 0 -1272px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-repeat-stop{ background-position: 0 -1309px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-representative{ background-position: 0 -1346px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-rss{ background-position: 0 -1383px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-save{ background-position: 0 -1420px; width: 24px; height: 24px; } 
-#iconBox_tango_vert .pwg-icon-search{ background-position: 0 -1459px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-sizes{ background-position: 0 -1496px; width: 48px; height: 24px; } 
-#iconBox_tango_vert .pwg-icon-slideshow{ background-position: 0 -1535px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-small_resizable{ background-position: 0 -1572px; width: 16px; height: 16px; } 
-#iconBox_tango_vert .pwg-icon-sort{ background-position: 0 -1603px; width: 24px; height: 24px; } 
-#iconBox_tango_vert .pwg-icon-stop{ background-position: 0 -1642px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-tag{ background-position: 0 -1679px; width: 22px; height: 22px; } 
-#iconBox_tango_vert .pwg-icon-upload{ background-position: 0 -1716px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -144px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-apropos{ background-position: 0 0; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-arrow-e{ background-position: 0 -37px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -74px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-arrow-n{ background-position: 0 -111px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-arrow-w{ background-position: 0 -148px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-state-disabled .pwg-icon-arrow-w{ background-position: 0 -185px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-arrowstop-e{ background-position: 0 -222px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: 0 -259px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-arrowstop-w{ background-position: 0 -296px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: 0 -333px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-caddie-add{ background-position: 0 -370px; width: 24px; height: 24px; } 
+#iconBox_tango_bleu .pwg-icon-calendar{ background-position: 0 -409px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-camera-calendar{ background-position: 0 -446px; width: 24px; height: 24px; } 
+#iconBox_tango_bleu .pwg-icon-camera-info{ background-position: 0 -485px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-category-edit{ background-position: 0 -522px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-category-view-flat{ background-position: 0 -559px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-category-view-normal{ background-position: 0 -596px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-chat{ background-position: 0 -633px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-clock-minus{ background-position: 0 -670px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-clock-plus{ background-position: 0 -707px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-close{ background-position: 0 -744px; width: 24px; height: 24px; } 
+#iconBox_tango_bleu .pwg-icon-cloud{ background-position: 0 -783px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-edit{ background-position: 0 -820px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-favorite-add{ background-position: 0 -857px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-favorite-del{ background-position: 0 -894px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-filter-del{ background-position: 0 -931px; width: 24px; height: 24px; } 
+#iconBox_tango_bleu .pwg-icon-filter{ background-position: 0 -970px; width: 24px; height: 24px; } 
+#iconBox_tango_bleu .pwg-icon-help{ background-position: 0 -1009px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-home{ background-position: 0 -1046px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-letters{ background-position: 0 -1083px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-lost-password{ background-position: 0 -1120px; width: 24px; height: 24px; } 
+#iconBox_tango_bleu .pwg-icon-pause{ background-position: 0 -1159px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-play{ background-position: 0 -1196px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-register{ background-position: 0 -1233px; width: 24px; height: 24px; } 
+#iconBox_tango_bleu .pwg-icon-repeat-play{ background-position: 0 -1272px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-repeat-stop{ background-position: 0 -1309px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-representative{ background-position: 0 -1346px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-rss{ background-position: 0 -1383px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-save{ background-position: 0 -1420px; width: 24px; height: 24px; } 
+#iconBox_tango_bleu .pwg-icon-search{ background-position: 0 -1459px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-sizes{ background-position: 0 -1496px; width: 48px; height: 24px; } 
+#iconBox_tango_bleu .pwg-icon-slideshow{ background-position: 0 -1535px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-small_resizable{ background-position: 0 -1572px; width: 16px; height: 16px; } 
+#iconBox_tango_bleu .pwg-icon-sort{ background-position: 0 -1603px; width: 24px; height: 24px; } 
+#iconBox_tango_bleu .pwg-icon-stop{ background-position: 0 -1642px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-tag{ background-position: 0 -1679px; width: 22px; height: 22px; } 
+#iconBox_tango_bleu .pwg-icon-upload{ background-position: 0 -1716px; width: 22px; height: 22px; } 