Index: /extensions/HistoryIPExcluder/trunk/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/trunk/language/pl_PL/plugin.lang.php	(revision 14194)
+++ /extensions/HistoryIPExcluder/trunk/language/pl_PL/plugin.lang.php	(revision 14194)
@@ -0,0 +1,47 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Error_HIPE_BlacklistedIP'] = 'Błąd! Twoje IP zostało zablokowane. Nie możesz subskrybować tej galerii. Skontaktuj się z administratorem.';
+$lang['HIPE_CleanHist'] = 'Wyczyść historię';
+$lang['HIPE_IPBlacklist_title'] = 'Czarna lista rejestracji(blacklist)';
+$lang['HIPE_IPBlacklisted'] = 'Uniemożliwiaj zablokowanym IP rejestrację do galerii (blacklist)';
+$lang['HIPE_IPByMember_description'] = 'Pokaż IP używane przez członków, sortowane wg IP';
+$lang['HIPE_IPByMember'] = 'IP wg członków';
+$lang['HIPE_IPForMember_description'] = 'Wyszukaj i wyświetl nr. IP powiązane z zarejestrowanym użytkownikiem (sortowanie wg nr IP)';
+$lang['HIPE_IPForMember'] = 'Numery IP dla członka';
+$lang['HIPE_IPnoGuest_description'] = 'No text to translate????!!!';
+$lang['HIPE_IPnoGuest'] = 'No text to translate?????!!!!';
+$lang['HIPE_MemberForIp_description'] = 'Wyszukaj i wyświetl użytkowników powiązanych z jednym nr IP (sortowanie wg nazwiska)';
+$lang['HIPE_MemberForIp'] = 'Członkowie dla jednego nr IP';
+$lang['HIPE_OnlyGuest_description'] = 'Pokaż nr IP używane tylko przez Gości oraz ich liczbę w tablicy historii, posortowane wg tej liczby.';
+$lang['HIPE_OnlyGuest'] = 'Tylko numery IP Gości';
+$lang['HIPE_admin_description1'] = 'Wprowadź pełny nr IP lub zakresy IP aby wykluczyć (jeden na linię)w okienku poniżej. Aby określić zakres IP, użyj symboli wieloznacznych (wildcard) "%".<br>Przykład : 74.6.1.2 or 74.6.%';
+$lang['HIPE_admin_section1'] = 'Wykluczenie IP';
+$lang['HIPE_admin_section2'] = 'Zapytania na tablicy historii';
+$lang['HIPE_admin_section3'] = 'Wynik żądania historycznego';
+$lang['HIPE_description'] = 'Ten plugin pozwala na wykonanie wykluczenia z historii oraz statystyk IP lub zakresów IP. Jego aktywacja blokuje rekord w tablicy historii IP określonej w tabeli poniżej.';
+$lang['HIPE_hist_cleaned'] = 'Czyszczenie historii tablicy wykonane';
+$lang['HIPE_resquet_ok'] = 'Żądanie poprawne';
+$lang['HIPE_save_config'] = 'Konfiguracja zapisana';
+$lang['HIPE_version'] = '- Wersja:';
+$lang['IP_geolocalisation'] = 'Geolokalizacja';
+?>