Index: /extensions/Comments_Access_Manager/language/ru_RU/help.lang.php
===================================================================
--- /extensions/Comments_Access_Manager/language/ru_RU/help.lang.php	(revision 14199)
+++ /extensions/Comments_Access_Manager/language/ru_RU/help.lang.php	(revision 14199)
@@ -0,0 +1,38 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['CM_CommentsValidationOffTitle_d'] = 'Включите этот параметр, чтобы видеть расширенные параметры.';
+$lang['CM_CommentsValidationOffTitle'] = '&quot;Проверка&quot; для комментариев отключена';
+$lang['CM_GroupCommTitle_d'] = 'Этот параметр позволяет указать группу пользователей, которым будет разрешено оставлять комментарии, когда запрещены &quot;Комментарии для всех&quot;.
+<br> <br>
+По умолчанию, когда опция <b>&quot;Комментарии для всех&quot;</b> отключена, только зарегистрированные пользователи могут оставлять комментарии. С помощью этой опции можно ограничить это поведение путем указания группы пользователей. Таким образом, только зарегистрированные пользователи, входящие в эту группу смогут оставлять комментарии.';
+$lang['CM_GroupCommTitle'] = 'Разрешить комментарии группе пользователей';
+$lang['CM_ValidComm2Title_d'] = 'Этот параметр позволяет указать группу пользователей, для которых комментарии будут приниматься без проверки администратором, когда галерея настроена на <u> позволять комментировать всем</u>, и проверка комментариев администратором не требуется.
+<br> <br>
+По умолчанию, когда <b>&quot;Комментарии для всех&quot;</b> и проверка комментариев включена, замечания всех зарегистрированных пользователей подлежат проверке администратором, прежде чем станут видны в галерее. С помощью этой опции, вы можете разрешить членам группы по вашему выбору отправлять комментарии без проверки администратором.';
+$lang['CM_ValidCommTitle_d'] = 'Этот параметр позволяет указать группу пользователей, для которых комментарии будут приниматься без проверки администратором, когда галерея настроена на <u>не позволяют комментарии всем</u>.
+<br> <br>
+По умолчанию, когда <b>&quot;Комментарии для всех&quot;</b> отключена и проверка комментариев включена, посты всех зарегистрированных пользователей подлежат проверке администратором, прежде чем их станет видно в галерее. С помощью этой опции, вы можете разрешить членам группы по вашему выбору отправлять комментарии без проверки администратором.';
+$lang['CM_ValidCommTitle'] = 'Разрешить комментарии без проверки администратором';
+$lang['CM_commentTitle_d'] = 'Если опция <b>&quot;Комментарии для всех&quot;</b> является активной (что дает право незарегистрированным посетителям отправлять комментарии), эта опция позволяет форсировать незарегистрированных посетителей ввести псевдоним, чтобы комментарий был принят.';
+$lang['CM_commentTitle'] = 'Имя обязательно для комментариев от гостей';
+?>
Index: /extensions/Comments_Access_Manager/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Comments_Access_Manager/language/ru_RU/plugin.lang.php	(revision 14199)
+++ /extensions/Comments_Access_Manager/language/ru_RU/plugin.lang.php	(revision 14199)
@@ -0,0 +1,43 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['CM_AllowedComm_Group'] = 'Выберите группу пользователей, которым разрешено отправлять комментарии:';
+$lang['CM_CommentsForAll'] = 'Опция "Комментарии для всех" <b style="color:red;">включена</b>';
+$lang['CM_CommentsForRegistered'] = 'Опция "Комментарии для всех" <b style="color:red;">выключена</b>';
+$lang['CM_CommentsValidationOff'] = '"Проверка" комментариев <b style="color:red;">выключена</b>';
+$lang['CM_CommentsValidationOn'] = '"Проверка" комментариев <b style="color:red;">включена</b>';
+$lang['CM_Comments_For_Group'] = 'Разрешить комментарии группе пользователей';
+$lang['CM_Disable'] = 'Отключено (по умолчанию)';
+$lang['CM_Empty Author'] = 'Никнейм автора комментария обязателен!';
+$lang['CM_Enable'] = 'Включено';
+$lang['CM_No_Anonymous_Comments'] = 'Имя обязательно для комментариев от гостей';
+$lang['CM_Not_Allowed_Author'] = 'К сожалению, вам не разрешено оставлять комментарии. Пожалуйста, свяжитесь с администратором сайта.';
+$lang['CM_SubTitle'] = 'Настройка плагина';
+$lang['CM_Support_txt'] = 'Официальную поддержку этого плагина можно получить только в этих темах форума Piwigo:<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=17577" onclick="window.open(this.href);return false;">Английская версия - http://piwigo.org/forum/viewtopic.php?id=17577</a><br><br>
+Также доступен, багтрекер проекта: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+$lang['CM_Title'] = 'Comments Access Manager - Версия: ';
+$lang['CM_ValidComm_Group'] = 'Выберите группу пользователей, которым разрешено отправлять комментарии без проверки:';
+$lang['CM_Validation_For_Group'] = 'Разрешить комментарии без проверки администратором';
+$lang['CM_save_config'] = 'Конфигурация успешно сохранена!';
+$lang['CM_submit'] = 'Сохранить настройки';
+?>