Index: /trunk/language/no_NO/admin.lang.php
===================================================================
--- /trunk/language/no_NO/admin.lang.php	(revision 14219)
+++ /trunk/language/no_NO/admin.lang.php	(revision 14220)
@@ -832,3 +832,62 @@
 $lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Du kan ikke definere standard bilderekkefølge, fordi du har eget oppsett i din lokale konfigurasjon.';
 $lang['simple visitors'] = 'vanlig besøkende';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u brukere har automatisk rettigheter fordi de tilhører en gruppe som allerede har rettigheter.';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo for Android</em> applikasjonen gjør at du kan koble til ditt Piwigo-galleri fra din Android-telefon, opprette album og laste opp flere bilder samtidig.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo for iOS</em> applikasjonen gjør at du kan koble til ditt Piwigo-galleri fra din iPhone, iPad eller iPod Touch, opprette album og laste opp flere bilder samtidig.';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom et et bildebehandlingsprogram, lagd for å å organisere svært mange bilder, samt etterbehandling av bilder.';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture er et kraftig verktøy for å avgrense bilder, og for å behandle store bildebibliotek på Mac.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture er lagd for profesjonelle fotografer med iPhoto enkelhet.';
+$lang['Applications'] = 'Applikasjoner';
+$lang['Apply watermark if height is bigger than'] = 'Legg på vannmerke hvis høyden er større enn';
+$lang['Apply watermark if width is bigger than'] = 'Legg på vannmerke hvis bredden er større enn';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'Som standard, midten av fokus er plassert i midten av bilde.';
+$lang['Center of interest'] = 'Midten av fokus';
+$lang['Delete multiple size images'] = 'Slett bilder med flere størrelser';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Funksjoner inkluderer å bla i gallerier, opprette album og laste opp bilder.';
+$lang['Follow Orientation'] = 'Følg retning';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'For beskårede bilder, som feks. "kvadratiske", vil Piwigo på best mulig måte prøve å inkludere midten av fokus.';
+$lang['Generate multiple size images'] = 'Lag bilder med flere størrelser';
+$lang['Groups and users'] = 'Grupper og brukere';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Hvis ikke HD er tilgjengelig, og hvis aktuell webstørrelse er større enn ny størrelse, vil Piwigo flytte bildet som HD, og opprette nedskalert webstrørrelse bilde. ';
+$lang['No group is permitted to see this private album'] = 'Ingen grupper har rettigheter til å se dette private album';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'I Linux kan du enkelt installere Shortwell i programvaresenteret, og deretter aktivere Piwigo publisering.';
+$lang['Opacity'] = 'Opasitet';
+$lang['Permission granted for groups'] = 'Rettigheter satt for grupper';
+$lang['Permission granted for users'] = 'Rettigheter satt for brukere.';
+$lang['Permission management'] = 'Administrere rettigheter';
+$lang['Photo sizes with crop'] = 'Bildestørrelse med beskjæring';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo publiseringstillegg for Lightroom';
+$lang['Piwigo export plugin for Aperture'] = 'Piwigo eksporteringstillegg for Aperture.';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo eksporteringstillegg for iPhone.';
+$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo publiseringstillegg for Shortwell';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo publiseringstillegg for digiKam';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (Ekstern galleriklient for Android) er en åpen-kildekode (GPL v3) Piwigo klient for Android.';
+$lang['Select a file'] = 'Velg en fil';
+$lang['Select a zone with your mouse to define a new center of interest.'] = 'Velg et område med musa for å definere nytt fokus.';
+$lang['Select groups...'] = 'Velg grupper...';
+$lang['Select users...'] = 'Velg brukere...';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shortwell er et Linux åpen-kildekode program for å organisere bilder. Det er standard bildebehandlingsprogram i Ubuntu og Fedora.';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Piwigo eksporteringstillegg gjør at du kan opprette album og eksportere bilder.';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Piwigo publiseringstillegg muliggjør eksport og synkronisering av bilder fra Lightroom direkte til ditt Piwigo galleri.';
+$lang['The center of interest is the most meaningful zone in the photo.'] = 'Midten av fokus er det mest meningsfulle delen av bilde.';
+$lang['There is no group in this gallery.'] = 'Ingen grupper i dette galleriet.';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'For å eksportere dine bilder fra digiKam til Piwigo, må du installere digiKam og Kipi-tillegg.';
+$lang['Web Form'] = 'Web-skjema';
+$lang['X Position'] = 'X posisjon';
+$lang['X Repeat'] = 'X repetering';
+$lang['Y Position'] = 'Y posisjon';
+$lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Parameteren <i>$conf[\'order_by\']</i> du har spesifisert i din lokale konfigurasjonsfil er foreldet. Vennligst fjern den, eller skift navn på den til <i>$conf[\'order_by_custom\']</i>!';
+$lang['add a new watermark'] = 'legg til vannmerke';
+$lang['any visitor can see this album'] = 'alle besøkende kan se dette album';
+$lang['bottom left corner'] = 'nedre venstre hjørne';
+$lang['bottom right corner'] = 'nedre høyre hjørne';
+$lang['custom'] = 'Egendefinert';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam er et gratis avansert digital bildebehandlingsprogram for Linux, Windows og MacOSX.';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam er lagd for fotografer som ønsker å se, behandle, redigere, forbedre, organisere, tagge og dele bilder.';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto er standard bildebehandler på MacOSX. Piwigo eksporteringstillegg lar deg lage nye album og eksportere dine bilder direkte fra iPhoto til ditt Piwigo galleri.';
+$lang['include photos with lower privacy level'] = 'ta med bilder av lavere rettighetsnivå';
+$lang['middle'] = 'senter';
+$lang['top left corner'] = 'øvre venstre hjørne';
+$lang['top right corner'] = 'øvre høyre hjørne';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'besøkende må logge inn for å se dette album';
 ?>