Index: /trunk/themes/default/template/about.tpl
===================================================================
--- /trunk/themes/default/template/about.tpl	(revision 14239)
+++ /trunk/themes/default/template/about.tpl	(revision 14240)
@@ -3,9 +3,6 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-        <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-      </a></li>
     </ul>
-    <h2>{'About'|@translate}</h2>
+    <h2><a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'About'|@translate}</h2>
   </div>
   
Index: /trunk/themes/default/template/comments.tpl
===================================================================
--- /trunk/themes/default/template/comments.tpl	(revision 14239)
+++ /trunk/themes/default/template/comments.tpl	(revision 14240)
@@ -4,9 +4,6 @@
 <div class="titrePage">
 	<ul class="categoryActions">
-		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-		</a></li>
-  </ul>
-	<h2>{'User comments'|@translate}</h2>
+	</ul>
+	<h2><a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'User comments'|@translate}</h2>
 </div>
 
Index: /trunk/themes/default/template/identification.tpl
===================================================================
--- /trunk/themes/default/template/identification.tpl	(revision 14239)
+++ /trunk/themes/default/template/identification.tpl	(revision 14240)
@@ -4,9 +4,6 @@
 <div class="titrePage">
 	<ul class="categoryActions">
-		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-		</a></li>
-  </ul>
-	<h2>{'Identification'|@translate}</h2>
+	</ul>
+	<h2><a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'Identification'|@translate}</h2>
 </div>
 
Index: /trunk/themes/default/template/nbm.tpl
===================================================================
--- /trunk/themes/default/template/nbm.tpl	(revision 14239)
+++ /trunk/themes/default/template/nbm.tpl	(revision 14240)
@@ -3,9 +3,6 @@
 	<div class="titrePage">
 		<ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-        <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-      </a></li>
-    </ul>
-		<h2>{'Notification'|@translate}</h2>
+		</ul>
+		<h2><a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'Notification'|@translate}</h2>
 	</div>
 
Index: /trunk/themes/default/template/notification.tpl
===================================================================
--- /trunk/themes/default/template/notification.tpl	(revision 14239)
+++ /trunk/themes/default/template/notification.tpl	(revision 14240)
@@ -9,9 +9,6 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-        <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-      </a></li>
     </ul>
-    <h2>{'Notification'|@translate}</h2>
+    <h2><a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'Notification'|@translate}</h2>
   </div>
   
Index: /trunk/themes/default/template/password.tpl
===================================================================
--- /trunk/themes/default/template/password.tpl	(revision 14239)
+++ /trunk/themes/default/template/password.tpl	(revision 14240)
@@ -3,12 +3,7 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li>
-        <a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-          <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-        </a>
-      </li>
     </ul>
 
-    <h2>{$title}</h2>
+    <h2><a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{$title}</h2>
   </div>
 
Index: /trunk/themes/default/template/profile.tpl
===================================================================
--- /trunk/themes/default/template/profile.tpl	(revision 14239)
+++ /trunk/themes/default/template/profile.tpl	(revision 14240)
@@ -4,9 +4,6 @@
 <div class="titrePage">
 	<ul class="categoryActions">
-		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-		</a></li>
-  </ul>
-	<h2>{'Profile'|@translate}</h2>
+	</ul>
+	<h2><a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'Profile'|@translate}</h2>
 </div>
 
Index: /trunk/themes/default/template/register.tpl
===================================================================
--- /trunk/themes/default/template/register.tpl	(revision 14239)
+++ /trunk/themes/default/template/register.tpl	(revision 14240)
@@ -6,9 +6,6 @@
 <div class="titrePage">
 	<ul class="categoryActions">
-		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-		</a></li>
-  </ul>
-	<h2>{'Registration'|@translate}</h2>
+	</ul>
+	<h2><a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'Registration'|@translate}</h2>
 </div>
 
Index: /trunk/themes/default/template/search.tpl
===================================================================
--- /trunk/themes/default/template/search.tpl	(revision 14239)
+++ /trunk/themes/default/template/search.tpl	(revision 14240)
@@ -24,9 +24,6 @@
 				<span class="pwg-icon pwg-icon-help">&nbsp;</span><span class="pwg-button-text">{'Help'|@translate}</span>
 			</a></li>
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-        <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-      </a></li>
 		</ul>
-		<h2>{'Search'|@translate}</h2>
+		<h2><a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'Search'|@translate}</h2>
 	</div>
 
Index: /trunk/themes/default/template/tags.tpl
===================================================================
--- /trunk/themes/default/template/tags.tpl	(revision 14239)
+++ /trunk/themes/default/template/tags.tpl	(revision 14240)
@@ -14,9 +14,6 @@
 		</a></li>
 {/if}
-		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-		</a></li>
 	</ul>
-	<h2>{'Tags'|@translate}</h2>
+	<h2><a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'Tags'|@translate}</h2>
 </div>
 