Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 14241)
+++ /trunk/language/da_DK/admin.lang.php	(revision 14242)
@@ -59,29 +59,29 @@
 $lang['Apply to sub-albums'] = 'Anvend på underkategorier';
 $lang['Associated'] = 'Associeret';
-$lang['Caddie management'] = 'Caddie forvaltning';
-$lang['Caddie'] = 'Caddie';
+$lang['Caddie management'] = 'Administration af kurv';
+$lang['Caddie'] = 'Kurv';
 $lang['Albums authorized thanks to group associations'] = 'Kategorier godkendt takket være gruppe tilknytninger';
 $lang['Album manual order was saved'] = 'Kategorier manual ordre er blevet gemt';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Check for opgradering mislykkedes af ukendte årsager.';
-$lang['Check for upgrade'] = 'Tjek efter opgradering';
+$lang['Check for upgrade'] = 'Tjek for opgradering';
 $lang['Comments for all'] = 'Kommentarer til alle';
 $lang['Current name'] = 'Nuværende navn';
 $lang['Database'] = 'Database';
 $lang['Deactivate'] = 'Deaktiver';
-$lang['Delete Representant'] = 'Slet Representant';
+$lang['Delete Representant'] = 'Slet thumbnail for kategori';
 $lang['Delete selected tags'] = 'Slet valgte tags';
 $lang['Delete selected users'] = 'Slet valgte brugere';
 $lang['Deletions'] = 'Sletninger';
-$lang['Deny selected groups'] = 'Forbyd udvalgte grupper';
-$lang['Deny selected users'] = 'Forbyd valgte brugere';
+$lang['Deny selected groups'] = 'Afvis udvalgte grupper';
+$lang['Deny selected users'] = 'Afvis valgte brugere';
 $lang['Description'] = 'Beskrivelse';
 $lang['Display options'] = 'Vis muligheder';
-$lang['Dissociated'] = 'Skille';
-$lang['Does not represent'] = 'Er ikke repræsenterer';
+$lang['Dissociated'] = 'Adskilt';
+$lang['Does not represent'] = 'Er ikke thumbnail for';
 $lang['Edit selected tags'] = 'Rediger valgte tags';
-$lang['Edit tags'] = 'Ændre tags';
-$lang['Email admins when a new user registers'] = 'Email admins, når en ny bruger registrerer sig';
-$lang['Email admins when a valid comment is entered'] = 'Email admins når en gyldig kommentar er opført';
-$lang['Email admins when a comment requires validation'] = 'Email admins, når en kommentar kræver validering';
+$lang['Edit tags'] = 'Rediger tags';
+$lang['Email admins when a new user registers'] = 'Send email til admins, når en ny bruger registrerer sig';
+$lang['Email admins when a valid comment is entered'] = 'Send email til admins når en gyldig kommentar er opført';
+$lang['Email admins when a comment requires validation'] = 'Send email til admins, når en kommentar kræver validering';
 $lang['Environment'] = 'Miljø';
 $lang['Form'] = 'Form';
@@ -100,5 +100,5 @@
 $lang['Lock gallery'] = 'Lås galleri';
 $lang['Maintenance'] = 'Vedligeholdelse';
-$lang['Edit album permissions'] = 'Administrer tilladelser for en Kategori';
+$lang['Edit album permissions'] = 'Administrer tilladelser kategori';
 $lang['Manage permissions for group "%s"'] = 'Administrer tilladelser til gruppen \'% s \'';
 $lang['Manage permissions for user "%s"'] = 'Administrer tilladelser for brugeren \'% s \'';
@@ -176,9 +176,9 @@
 $lang['You need to confirm deletion']  =  'Du skal bekræfte sletning';
 $lang['Add tags']  =  'Tilføj tags';
-$lang['Associate to album']  =  'Associeret til Kategori';
-$lang['associate to group']  =  'Associeret til Gruppe';
+$lang['Associate to album'] = 'Associeret til kategori';
+$lang['associate to group'] = 'Associeret til gruppe';
 $lang['Authorized']  =  'Autoriseret';
 $lang['Add a virtual album']  =  'Tilføj en virtuel Kategori';
-$lang['Authorize users to add comments on selected albums']  =  'Godkendelse af brugere at tilføje kommentarer på udvalgte kategorier';
+$lang['Authorize users to add comments on selected albums'] = 'Tillad brugere at tilføje kommentarer til udvalgte kategorier';
 $lang['The name of an album must not be empty']  =  'Navnet på en Kategori, kan ikke ikke være tomt';
 $lang['Lock albums']  =  'Lås kategorier';
@@ -192,14 +192,14 @@
 $lang['Access type']  =  'Adgang type';
 $lang['Information data registered in database']  =  'Oplysninger, der er registreret i databasen';
-$lang['Default display']  =  'Standard display';
+$lang['Default display'] = 'Standard visning';
 $lang['The gallery URL is not valid.']  =  'Galleriet URL er ikke gyldig.';
 $lang['Main']  =  'Main';
 $lang['The number of comments a page must be between 5 and 50 included.']  =  'Antallet af kommentarer på en side skal være mellem 5 og 50 medtaget.';
 $lang['Configuration']  =  'Konfiguration';
-$lang['confirm']  =  'Bekræfte';
+$lang['confirm'] = 'Bekræft';
 $lang['Date']  =  'Dato';
-$lang['delete album']  =  'Slet Kategori';
-$lang['Dissociate from album']  =  'Adskille fra Kategori';
-$lang['dissociate from group']  =  'Adskille fra Gruppe';
+$lang['delete album'] = 'slet kategori';
+$lang['Dissociate from album'] = 'Adskil fra kategori';
+$lang['dissociate from group'] = 'Adskil fra gruppe';
 $lang['Album updated successfully']  =  'Kategori informationer opdateret.';
 $lang['photos per page']  =  'Elementer pr side';
@@ -236,5 +236,5 @@
 $lang['New photos were added']  =  'Nye elementer er blevet tilføjet';
 $lang['on']  =  'På';
-$lang['between']  =  'Mellem';
+$lang['between'] = 'mellem';
 $lang['and'] = 'og';
 $lang['The webmaster has subscribed you to receiving notifications by mail.']  =  'Webmaster har tilmeldt dig til at modtage meddelelser via mail.';
@@ -292,5 +292,5 @@
 $lang['Send mail on HTML format']  =  'Send mail i HTML-format';
 $lang['Include display of recent photos grouped by dates']  =  'Medtag visning af de seneste billeder grupperet efter datoer';
-$lang['Available only with HTML format']  =  'Findes kun med HTML format';
+$lang['Available only with HTML format'] = 'Findes kun med HTML for½mat';
 $lang['no write access']  =  'Ingen skrive adgang';
 $lang['Permissions']  =  'Tilladelser';
@@ -301,5 +301,5 @@
 $lang['randomly represented']  =  'Random repræsentant';
 $lang['registration date'] = 'Registreringsdato';
-$lang['clean'] = 'Ryddet op';
+$lang['clean'] = 'oprydning';
 $lang['Create this site'] = 'Opret dette websted';
 $lang['test'] = 'Test';
@@ -311,8 +311,8 @@
 $lang['singly represented'] = 'Enkelt repræsentant';
 $lang['This site already exists'] = 'Dette site eksisterer allerede';
-$lang['Create a new site : (give its URL to create_listing_file.php)'] = 'Opret et nyt site: (give sin URL til create_listing_file.php)';
-$lang['created'] = 'Skabt';
-$lang['delete'] = 'Slet';
-$lang['delete this site and all its attached elements'] = 'Slette dette websted og alle relaterede oplysninger';
+$lang['Create a new site : (give its URL to create_listing_file.php)'] = 'Opret et nyt websted: (angiv URL til create_listing_file.php)';
+$lang['created'] = 'oprettet';
+$lang['delete'] = 'slet';
+$lang['delete this site and all its attached elements'] = 'Slet dette websted og alle relaterede oplysninger';
 $lang['an error happened'] = 'Der opstod en fejl';
 $lang['Local'] = 'Lokal';
@@ -328,8 +328,8 @@
 $lang['Album list management'] = 'Håndtering af kategoriliste';
 $lang['Piwigo configuration']  =  'Piwigo konfiguration';
-$lang['Edit album']  =  'Edit en Kategori';
+$lang['Edit album'] = 'Rediger kategori';
 $lang['Group management']  =  'Grupper forvaltning';
 $lang['User list'] = 'Brugere liste';
-$lang['Edit photo information'] = 'Rediger billede information';
+$lang['Edit photo information'] = 'Rediger billed information';
 $lang['Database synchronization with files'] = 'Database synkronisering med filer';
 $lang['all'] = 'Alle';
@@ -340,5 +340,5 @@
 $lang['GD version'] = 'GD version';
 $lang['General statistics'] = 'General statistikker';
-$lang['average time'] = 'Gennemsnitlige tid';
+$lang['average time'] = 'Gennemsnitlig tid';
 $lang['number of miniaturized photos']  =  'Antal skabte thumbnails';
 $lang['total time']  =  'Total tid';
@@ -351,8 +351,8 @@
 $lang['Synchronize']  =  'Synkroniser';
 $lang['reduce to single existing albums']  =  'Reduceres til én eksisterende kategorier';
-$lang['Choose an option']  =  'Vælg en option';
-$lang['display maximum informations (added albums and photos, deleted albums and photos)']  =  'Display flest mulige oplysninger (tilføjet kategorier og elementer, slettede kategorier og elementer)';
+$lang['Choose an option'] = 'Vælg en mulighed';
+$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'vis flest mulige oplysninger (tilføjede kategorier og fotos, slettede kategorier og fotos)';
 $lang['Error list']  =  'Liste over fejl';
-$lang['Errors caption']  =  'Errors caption';
+$lang['Errors caption'] = 'Fejl beskrivelser';
 $lang['Detailed informations']  =  'Detaljeret information';
 $lang['File/directory read error']  =  'File / directory læse fejl';
@@ -368,9 +368,9 @@
 $lang['Search for new images in the directories']  =  'Søg efter nye billeder i mapper';
 $lang['added']  =  'Tilføjet';
-$lang['deleted']  =  'Slettet';
+$lang['deleted'] = 'slettet';
 $lang['Metadata synchronization results']  =  'Metadata synkronisering resultater';
 $lang['only perform a simulation (no change in database will be made)']  =  'Kun udføre en simulering (intet vil blive ændret i databasen)';
 $lang['Simulation']  =  'Simulation';
-$lang['directories + files']  =  'Mapper + filer';
+$lang['directories + files'] = 'mapper + filer';
 $lang['only directories']  =  'Mapper kun';
 $lang['synchronize files structure with database']  =  'Synkronisere filer struktur med databasen';
@@ -390,5 +390,5 @@
 $lang['Virtual album']  =  'Virtuel Kategori';
 $lang['Waiting']  =  'Venter';
-$lang['default']  =  'Default';
+$lang['default'] = 'Standard';
 $lang['Toggle \'default group\' property']  =  'Reverse \'default Gruppe\' ejendom ';
 $lang['Advanced features']  =  'Avancerede funktioner';
@@ -408,5 +408,5 @@
 $lang['Hello,']  =  'Hej,';
 $lang['See you soon.']  =  'Ses snart.';
-$lang['Discover album:']  =  'Oplev Kategori:';
+$lang['Discover album:'] = 'Gennemse kategori:';
 $lang['Mail content']  =  'Mail indhold';
 $lang['none']  =  'Ingen';
@@ -422,10 +422,10 @@
 $lang['Hour']  =  'Time';
 $lang['guest']  =  'Gæst';
-$lang['default values']  =  'Default værdier';
+$lang['default values'] = 'Standardværdier';
 $lang['Guest cannot be deleted']  =  'Gæst kan ikke slettes';
-$lang['Default user cannot be deleted']  =  'Default bruger kan ikke slettes';
+$lang['Default user cannot be deleted'] = 'Standardbruger kan ikke slettes';
 $lang['Purge history detail']  =  'Ryd historie detaljer';
 $lang['Purge history summary']  =  'Ryd historie summary';
-$lang['Check integrity']  =  'Integritet check';
+$lang['Check integrity'] = 'Integritetskontrol';
 $lang['Anomaly']  =  'Uregelmæssig';
 $lang['Correction']  =  'Korrektion';
@@ -447,5 +447,5 @@
 $lang['Main "guest" user does not exist']  =  'Hoved \' gæst \'bruger eksisterer ikke';
 $lang['Main "guest" user status is incorrect']  =  'Hoved \' gæst \'user status er forkert';
-$lang['Default user does not exist']  =  'Default bruger findes ikke';
+$lang['Default user does not exist'] = 'Standardbruger findes ikke';
 $lang['Main "webmaster" user does not exist']  =  'The main \' webmaster \' bruger eksisterer ikke';
 $lang['Main "webmaster" user status is incorrect']  =  'The main \' webmaster \' user status er forkert';
@@ -454,5 +454,5 @@
 $lang['add new photos to caddie']  =  'Tilføje nye elementer til caddie';
 $lang['No display']  =  'Ingen display';
-$lang['Classic display']  =  'Klassisk display';
+$lang['Classic display'] = 'Klassisk visning';
 $lang['Hoverbox display']  =  'Hoverbox display';
 $lang['Mail address is obligatory for all users']  =  'Mail-adresse er obligatorisk for alle brugere';
@@ -472,5 +472,5 @@
 $lang['Refresh']  =  'Opdater';
 $lang['The anomaly will be ignored until next application version']  =  'Den skævhed vil blive ignoreret, indtil næste version';
-$lang['Correction the anomaly will cancel the fact that it\'s ignored']  =  'Korrigeret anomali vil annullere at det er ignoreret';
+$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Korrigeret afvigelse vil efterfølgende ikke blive ignoreret';
 $lang['%d anomaly has been ignored.']  =  '%d uregelmæssighed er blevet ignoreret.';
 $lang['%d anomalies have been ignored.']  =  ' %d uregelmæssigheder er blevet ignoreret.';
@@ -481,14 +481,14 @@
 $lang['Last revisions']  =  'Sidste ændringer';
 $lang['Are you sure you want to delete this plugin?']  =  'Er du sikker på du vil slette denne plugin?';
-$lang['Are you sure you want to install this plugin?']  =  'Er du sikker på du vil installere dette plugin?';
+$lang['Are you sure you want to install this plugin?'] = 'Er du sikker på du vil installere denne plugin?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Er du sikker på du vil installere denne opgradering? Du skal kontrollere, om denne version ikke skal afinstalleres først.';
 $lang['Plugin has been successfully copied']  =  'Dette plugin er blevet kopieret';
 $lang['You might go to plugin list to install and activate it.']  =  'Gå til plugins listen for at installere og aktivere det.';
 $lang['Can\'t create temporary file.']  =  'Midlertidige filer kan ikke oprettes.';
-$lang['Can\'t download archive.']  =  'Archive kan ikke hentes.';
-$lang['Can\'t read or extract archive.']  =  'Archive ikke kan læses eller udvindes.';
+$lang['Can\'t download archive.'] = 'Arkiv kan ikke hentes.';
+$lang['Can\'t read or extract archive.'] = 'Arkiv ikke kan læses eller udpakkes.';
 $lang['An error occured during extraction (%s).'] = 'En fejl opstod under fil (% s) ekstraktion.';
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).']  =  'Check \'plugins \' folder og sub-folder tilladelser (CHMOD).';
-$lang['Can\'t connect to server.']  =  'Tilslutning til server umuligt.';
+$lang['Can\'t connect to server.'] = 'Tilslutning til server ikke muligt.';
 $lang['Purge compiled templates']  =  'Purge udarbejdet skabeloner';
 $lang['ACCESS_0']  =  'Fri adgang';
@@ -506,5 +506,5 @@
 $lang['The version of %s [%s] installed is not compatible with the version required [%s]']  =  'Den version af % s [% s] er installeret ikke er kompatibel med den krævede version  [% s]';
 $lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all']  =  'Du skal opgradere dit system til at drage fuld fordel af ansøgningen, ellers ansøgningen, kan arbejde korrekt, eller slet ikke';
-$lang['Deleted on']  =  'Slettet på';
+$lang['Deleted on'] = 'Slettet den';
 $lang['Last hit']  =  'Sidste hit';
 $lang['GD library is missing']  =  'GD bibliotek mangler';
@@ -522,9 +522,9 @@
 $lang['overrides existing values with empty ones']  =  'Tilsidesætter eksisterende værdier med tomme';
 $lang['Manage photo ranks']  =  'Administrer image ranking';
-$lang['Edit ranks']  =  'Edit rækker';
+$lang['Edit ranks'] = 'Rediger karakterer';
 $lang['No photo in this album']  =  'Ingen element i denne Kategori';
 $lang['Images manual order was saved']  =  'Billeder manual gemt orden';
 $lang['ranks']  =  'Rangerer';
-$lang['Drag to re-order']  =  'Klik-og-træk for at re-order';
+$lang['Drag to re-order'] = 'Klik-og-træk for at arrangere';
 $lang['Quick Local Synchronization']  =  'Quick Lokal synkronisering';
 $lang['No photo can be deleted']  =  'Intet foto kan slettes';
@@ -545,7 +545,7 @@
 $lang['Allow users to edit their own comments']  =  'Tillad brugere at redigere deres egne kommentarer';
 $lang['Allow users to delete their own comments']  =  'Tillad brugere at slette deres egne kommentarer';
-$lang['Email administrators when a comment is modified']  =  'Email administratorer, når en kommentar er modificeret';
-$lang['Email administrators when a comment is deleted']  =  'Email administratorer, når en kommentar er slettet';
-$lang['Cannot delete the old permalink !']  =  'Den gamle permalink kan ikke slettes!';
+$lang['Email administrators when a comment is modified'] = 'Send email til administratorer, når en kommentar er modificeret';
+$lang['Email administrators when a comment is deleted'] = 'Send email til administratorer, når en kommentar er slettet';
+$lang['Cannot delete the old permalink !'] = 'Det eksisterende permalink kan ikke slettes!';
 $lang['Hit']  =  'Hit';
 $lang['Tools'] = 'Værktøjer';
@@ -559,11 +559,11 @@
 $lang['unknown']  =  'Ukendt';
 $lang['Upload Photos']  =  'Upload billeder ';
-$lang['Drop into album']  =  'Drop i Kategori ';
+$lang['Drop into album'] = 'Vælg en kategori ';
 $lang['+ Add an upload box']  =  '+ Tilføj en upload boks';
 $lang['Upload']  =  'Upload';
-$lang['Create the "%s" directory at the root of your Piwigo installation']  =  'Opret \'%s\' bibliotek i roden af din Piwigo anlæg';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Opret \'%s\' bibliotek i roden af din Piwigo installation';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation']  =  'Giv skrive adgang (chmod 777) til \'%s\' bibliotek i roden af din Piwigo anlæg';
 $lang['existing album']  =  'Eksisterende Kategori ';
-$lang['create a new album']  =  'Oprette et nyt Kategori ';
+$lang['create a new album'] = 'Opret en ny kategori ';
 $lang['Album name']  =  'Kategori navn ';
 $lang['Album "%s" has been added']  =  'Kategori \'%s\' er blevet tilføjet ';
@@ -587,8 +587,8 @@
 $lang['Add write access to the "%s" directory']  =  'Tilføj skrive adgang ti l \'%s\' bibliotek';
 $lang['Administration Home']  =  'Administration Hjem ';
-$lang['Change Admin Colors']  =  'Skift administration farver';
+$lang['Change Admin Colors'] = 'Skift farver på administrationsmodul';
 $lang['Delete this theme']  =  'Slet dette tema';
-$lang['Directory does not exist']  =  'Directory findes ikke ';
-$lang['Download,']  =  'Download';
+$lang['Directory does not exist'] = 'Mappe findes ikke ';
+$lang['Download,'] = 'Download,';
 $lang['FTP + Synchronization']  =  'FTP + Synchronization ';
 $lang['Get Support on Piwigo Forum']  =  'Få support på Piwigo forum ';
@@ -627,5 +627,5 @@
 $lang['Impossible to deactivate this theme, you need at least one theme.']  =  'Umuligt at deaktivere dette tema, du har brug for mindst ét tema';
 $lang['Webmaster status is required.']  =  'Webmaster status er nødvendig';
-$lang['Bound Theme']  =  'Bound Tema';
+$lang['Bound Theme'] = 'Tilknyttet tema';
 $lang['Allow rating']  =  'Tillad rating';
 $lang['Select at least one comment']  =  'Vælg mindst én kommentar';
@@ -699,13 +699,13 @@
 $lang['All %d photos are selected'] = 'Alle %d fotos er udvalgte';
 $lang['Apply action'] = 'Godkend handling';
-$lang['automatic order'] = 'automatisk ordre';
+$lang['automatic order'] = 'automatisk rækkefølge';
 $lang['Batch Manager'] = 'Batch Manager';
 $lang['Choose an action'] = 'Vælg en handling';
 $lang['Deactivate all'] = 'Deaktiver alle';
-$lang['Default photos order'] = 'Default fotos ordre';
-$lang['Delete orphan tags'] = 'Slet orphan tags';
+$lang['Default photos order'] = 'Standard sorteringsrækkefølge for fotos';
+$lang['Delete orphan tags'] = 'Slet forældreløse tags';
 $lang['delete photo'] = 'slet foto';
-$lang['Duplicates'] = 'dubletter';
-$lang['Error on file "%s" : %s'] = 'Fejl i fil "%s" : %s';
+$lang['Duplicates'] = 'Dubletter';
+$lang['Error on file "%s" : %s'] = 'Fejl i fil "%s" :%s';
 $lang['Exif extension not available, admin should disable exif use'] = 'Exif extension er ikke tilgængelig, admin bør disable exif brug';
 $lang['Failed to write file to disk'] = 'Fejl i skrivning til disk';
@@ -731,16 +731,16 @@
 $lang['All plugins are up to date.'] = 'Alle plugins er opdaterede.';
 $lang['All themes are up to date.'] = 'Alle themaer er opdaterede.';
-$lang['Allowed file types: %s.'] = 'Tillad fil typer: %s.';
+$lang['Allowed file types: %s.'] = 'Tilladte fil typer: %s.';
 $lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Cirka maksimum opløsning: %dM pixels (that\'s %dx%d pixels).';
 $lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Som standard vil Piwigo danne en ny webstørrelse fra HD versionen af dit foto.';
-$lang['Confirm merge'] = 'Bekræft merge';
+$lang['Confirm merge'] = 'Bekræft sammenlægning';
 $lang['Create'] = 'Dan';
 $lang['Crop'] = 'Crop';
 $lang['Default comments order'] = 'Standard kommentar rækkefølge';
-$lang['display'] = 'display';
+$lang['display'] = 'vis';
 $lang['Do you want to activate anyway?'] = 'Vil du aktivere alligevel';
 $lang['Dump Database'] = 'Dump Database';
 $lang['ERROR'] = 'FEJL';
-$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'FEJL: DETTE PLUGIN MANGLER MEN ER INSTALLERET! AFINSTILLER NU';
+$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'FEJL: DETTE PLUGIN MANGLER, MEN ER INSTALLERET! AFINSTILLER NU.';
 $lang['Extensions Update'] = 'Extensions opdatering';
 $lang['Follow Orientation'] = 'Følg Orientation';